variables:
    STACK_NAME:
        default: sqs-stack
        description: SQS Cloudformation stack name
        overrides: null
        required: true
        type: string
    ALARM_EMAIL:
        required: true
        description: EMail address to notify if there are any operational issues.
    DISABLE_ROLLBACK:
        description: Set to true to disable rollback of the stack if stack creation failed.
        required: false
        type: string
    ON_FAILURE:
        default: ROLLBACK
        description: "Action to be taken if stack creation fails. This must be one of: DO_NOTHING, ROLLBACK, or DELETE. Conflicts with disable_rollback."
        required: false
        type: string
    TIMEOUT_IN_MINUTES:
        default: 60
        description: The amount of time that can pass before the stack status becomes CREATE_FAILED.
        required: false
        type: number
    CAPABILTIES:
        default:
            - CAPABILITY_IAM
        description: A list of capabilities. Currently, the only valid value is CAPABILITY_IAM.
        required: false
        type: array
    NOTIFICATION_ARNS:
        description: The Simple Notification Service (SNS) topic ARNs to publish stack related events.
        required: false
        type: array
    POLICY_URL:
        description: Location of a file containing the stack policy. Conflicts w/ POLICY_BODY.
        required: false
        type: string
    POLICY_BODY:
        description: Structure containing the stack policy body. Conflicts w/ POLICY_URL.
        required: false
        type: string
    ROLE_ARN:
        description: The Amazon Resource Name (ARN) of an AWS Identity and Access Management (IAM) role that AWS CloudFormation assumes to update the stack.
        required: false
        type: string
    STACK_TAGS:
        required: false
        description: tags to apply to the stack
        type: array
        default:
